org.apache.uima.aae.jmx.monitor

## Class ServiceMetrics

- java.lang.Object
- - org.apache.uima.aae.jmx.monitor.ServiceMetrics

-     public class ServiceMetrics
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServiceMetrics()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `getAnalysisTime()`
    `double` | `getCasPoolWaitTime()`
    `int` | `getCmFreeCasInstanceCount()`
    `double` | `getIdleTime()`
    `long` | `getInputQueueDepth()`
    `long` | `getProcessCount()`
    `int` | `getProcessThreadCount()`
    `long` | `getReplyQueueDepth()`
    `int` | `getSamplingInterval()`
    `String` | `getServiceName()`
    `double` | `getShadowCasPoolWaitTime()`
    `int` | `getSvcFreeCasInstanceCount()`
    `double` | `getTimeInCMGetNext()`
    `double` | `getTimestamp()`
    `boolean` | `isCasMultiplier()`
    `boolean` | `isServiceRemote()`
    `boolean` | `isTopLevelService()`
    `void` | `setAnalysisTime(double analysisTime)`
    `void` | `setCasMultiplier(boolean isCasMultiplier)`
    `void` | `setCasPoolWaitTime(double casPoolWaitTime)`
    `void` | `setCmFreeCasInstanceCount(int cmFreeCasInstanceCount)`
    `void` | `setIdleTime(double idleTime)`
    `void` | `setInputQueueDepth(long queueDepth)`
    `void` | `setProcessCount(long processCount)`
    `void` | `setProcessThreadCount(int aProcessThreadCount)`
    `void` | `setReplyQueueDepth(long queueDepth)`
    `void` | `setSamplingInterval(int samplingInterval)`
    `void` | `setServiceName(String serviceName)`
    `void` | `setServiceRemote(boolean isServiceRemote)`
    `void` | `setShadowCasPoolWaitTime(double shadowCasPoolWaitTime)`
    `void` | `setSvcFreeCasInstanceCount(int svcFreeCasInstanceCount)`
    `void` | `setTimeInCMGetNext(double timeInCMGetNext)`
    `void` | `setTimestamp(double timestamp)`
    `void` | `setTopLevelService(boolean topLevelService)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ServiceMetrics

          public ServiceMetrics()

  - ### Method Detail

    - #### isTopLevelService

          public boolean isTopLevelService()

    - #### setTopLevelService

          public void setTopLevelService(boolean topLevelService)

    - #### getTimestamp

          public double getTimestamp()

    - #### setTimestamp

          public void setTimestamp(double timestamp)

    - #### getServiceName

          public String getServiceName()

    - #### setServiceName

          public void setServiceName(String serviceName)

    - #### getIdleTime

          public double getIdleTime()

    - #### setIdleTime

          public void setIdleTime(double idleTime)

    - #### getProcessCount

          public long getProcessCount()

    - #### setProcessCount

          public void setProcessCount(long processCount)

    - #### getCasPoolWaitTime

          public double getCasPoolWaitTime()

    - #### setCasPoolWaitTime

          public void setCasPoolWaitTime(double casPoolWaitTime)

    - #### getShadowCasPoolWaitTime

          public double getShadowCasPoolWaitTime()

    - #### setShadowCasPoolWaitTime

          public void setShadowCasPoolWaitTime(double shadowCasPoolWaitTime)

    - #### getTimeInCMGetNext

          public double getTimeInCMGetNext()

    - #### setTimeInCMGetNext

          public void setTimeInCMGetNext(double timeInCMGetNext)

    - #### getSamplingInterval

          public int getSamplingInterval()

    - #### setSamplingInterval

          public void setSamplingInterval(int samplingInterval)

    - #### isServiceRemote

          public boolean isServiceRemote()

    - #### setServiceRemote

          public void setServiceRemote(boolean isServiceRemote)

    - #### isCasMultiplier

          public boolean isCasMultiplier()

    - #### setCasMultiplier

          public void setCasMultiplier(boolean isCasMultiplier)

    - #### getInputQueueDepth

          public long getInputQueueDepth()

    - #### setInputQueueDepth

          public void setInputQueueDepth(long queueDepth)

    - #### getReplyQueueDepth

          public long getReplyQueueDepth()

    - #### setReplyQueueDepth

          public void setReplyQueueDepth(long queueDepth)

    - #### getProcessThreadCount

          public int getProcessThreadCount()

    - #### setProcessThreadCount

          public void setProcessThreadCount(int aProcessThreadCount)

    - #### getAnalysisTime

          public double getAnalysisTime()

    - #### setAnalysisTime

          public void setAnalysisTime(double analysisTime)

    - #### getCmFreeCasInstanceCount

          public int getCmFreeCasInstanceCount()

    - #### setCmFreeCasInstanceCount

          public void setCmFreeCasInstanceCount(int cmFreeCasInstanceCount)

    - #### getSvcFreeCasInstanceCount

          public int getSvcFreeCasInstanceCount()

    - #### setSvcFreeCasInstanceCount

          public void setSvcFreeCasInstanceCount(int svcFreeCasInstanceCount)

Copyright © 2006–2018 The Apache Software Foundation. All rights reserved.